#

API Docs for: v3.8.1
Show: Inherited Protected Private Deprecated

# DS.BooleanTransform Class

Extends DS.Transform
Defined in: `addon/transforms/boolean.js:4`
Module: ember-data

The `DS.BooleanTransform` class is used to serialize and deserialize boolean attributes on Ember Data record objects. This transform is used when `boolean` is passed as the type parameter to the DS.attr function.

Usage

    import DS from 'ember-data';

    export default DS.Model.extend({
      isAdmin: DS.attr('boolean'),
      name: DS.attr('string'),
      email: DS.attr('string')
    });

By default, the boolean transform only allows for values of `true` or `false`. You can opt into allowing `null` values for boolean attributes via `DS.attr('boolean', { allowNull: true })`

    import DS from 'ember-data';

    export default DS.Model.extend({
      email: DS.attr('string'),
      username: DS.attr('string'),
      wantsWeeklyEmail: DS.attr('boolean', { allowNull: true })
    });

- Index
- Methods

## Item Index

### Methods

- deserialize
- serialize

## Methods

### `deserialize`

(

- `serialized`
- `options`

)

Inherited from DS.Transform: `addon/transforms/transform.js:92`

When given a serialized value from a JSON object this method must return the deserialized value for the record attribute. Example ```javascript deserialize(serialized, options) { return empty(serialized) ? null : Number(serialized); } ```

#### Parameters:

- `serialized` Object
  The serialized value
- `options` Object
  hash of options passed to `DS.attr`

#### Returns:

The deserialized value

### `serialize`

(

- `deserialized`
- `options`

)

Inherited from DS.Transform: `addon/transforms/transform.js:71`

When given a deserialized value from a record attribute this method must return the serialized value. Example ```javascript import { isEmpty } from '@ember/utils'; serialize(deserialized, options) { return isEmpty(deserialized) ? null : Number(deserialized); } ```

#### Parameters:

- `deserialized` Object
  The deserialized value
- `options` Object
  hash of options passed to `DS.attr`

#### Returns:

The serialized value